﻿function AddAltText(sObject,sTree){
    try{
        var arrImgs = parent.content.document.getElementById("div_" + sObject).document.getElementsByTagName("img");
        var sID = "";
        for (var i=0;i<arrImgs.length;i++){
            if (arrImgs[i].id.indexOf("imgCompletion_") != -1){
                sID = arrImgs[i].id.substring(14);
                if (m_arrTreeItems[sID].completionStatus == "c"){
                    arrImgs[i].alt = m_arrTreeItems[sID].nodeItemObj.text + " Complete Icon";
                }else{
                    arrImgs[i].alt = m_arrTreeItems[sID].nodeItemObj.text + " Not Started Icon";
                }    
            }
            if (arrImgs[i].id.indexOf("imgExpand_") != -1){
                sID = arrImgs[i].id.substring(10);
                //if (m_arrTreeItems[sID].isExpanded == true){
                    arrImgs[i].alt = "Expand/Collapse " + m_arrTreeItems[sID].nodeItemObj.text;
                //}    
            }
            if (arrImgs[i].id.indexOf("imgFolder_") != -1){
                sID = arrImgs[i].id.substring(10);
                arrImgs[i].alt = "Open/Close";
            }
            if (arrImgs[i].id.indexOf("imgEvent_") != -1){
                arrImgs[i].alt = "";
            }
        }
    }catch(e){
    }        
}

function recurseTreeBuild(oNode,oTreeParent,oTree){
	m_sErrorFile = "CP2/buildtree.js";    // For Error Handling
	var bVisible = false;
	
	
	
	if (oNode.COURSEMAPBEHAVIOR == "" || oNode.COURSEMAPBEHAVIOR == "None" || oNode.COURSEMAPBEHAVIOR == null || oNode.COURSEMAPBEHAVIOR == "Hide Children"){
		bVisible = true;
				
		var sID = "";
		if (oNode.TYPE != null){
			sID = oTree.id + "_Event_" + oNode.ID;
		}else{
			sID = oTree.id + "_Nav_" + oNode.ID;
		}
		var oTreeItem = new TreeItem(sID,oTreeParent,oTree.id);
		
		
		var iLevel = getLevel(oTreeItem);
		oTreeItem.setLevel(iLevel);			
		m_arrTreeItems[sID] = oTreeItem;
		
		//Set Tree Name
		oTreeItem.treeName = "CP.m_arrTrees[\"" + oTree.id + "\"]";
		
		// Set Node Item Object
		var oNodeItemObj = null;
		if (m_arrNodeItemObj[iLevel] != null){
			oNodeItemObj = new NodeItemObj();	
			oNodeItemObj.setBorderStyle(m_arrNodeItemObj[iLevel].borderStyle);
			oNodeItemObj.setFontStyle(m_arrNodeItemObj[iLevel].fontStyle);
			oNodeItemObj.setImage(m_arrNodeItemObj[iLevel].image);
			oNodeItemObj.setCaptionAlign(m_arrNodeItemObj[iLevel].captionAlign);
			oNodeItemObj.setCaptionPadding(m_arrNodeItemObj[iLevel].captionPadLeft,m_arrNodeItemObj[iLevel].captionPadRight,m_arrNodeItemObj[iLevel].captionPadTop,m_arrNodeItemObj[iLevel].captionPadBottom);			
			oNodeItemObj.setItemHeight(m_arrNodeItemObj[iLevel].itemHeight);
			oNodeItemObj.setItemWidth(m_arrNodeItemObj[iLevel].itemWidth);
		}	
		oTreeItem.setNodeItemObj(oNodeItemObj);
		
		// set Text
		if (oNode.ALIASNAME != null){
			oTreeItem.nodeItemObj.setText(oNode.ALIASNAME);
		}else{
			oTreeItem.nodeItemObj.setText(oNode.NAME);
		}
		
		
		
		//set Image
		//oTreeItem.setNodeImage(m_oNodeImage);
		
		//set Icons
		var oFolderIcon = null;
		var oExpandIcon = null;
		var oEventIcon = null;
		var oCompletionIcon = null;
		
		if (m_arrFolderIcon[iLevel] != null){
			oFolderIcon = new FolderIcon();
			oFolderIcon.setOpenIcon(m_arrFolderIcon[iLevel].openIcon);
			oFolderIcon.setClosedIcon(m_arrFolderIcon[iLevel].closedIcon);
			oFolderIcon.setBorderStyle(m_arrFolderIcon[iLevel].borderStyle);
		}

		if (m_arrExpandIcon[iLevel] != null){
			oExpandIcon = new ExpandIcon();
			oExpandIcon.setExpandedIcon(m_arrExpandIcon[iLevel].expandedIcon);
			oExpandIcon.setCollapsedIcon(m_arrExpandIcon[iLevel].collapsedIcon);
			oExpandIcon.setBorderStyle(m_arrExpandIcon[iLevel].borderStyle);
		}	
		
		if (m_arrEventIcon[iLevel] != null){
			oEventIcon = new EventIcon();
			if (m_arrEventIcon[iLevel].state1Icon != ""){
				oEventIcon.setState1Icon(m_arrEventIcon[iLevel].state1Icon);
			}	
			if (m_arrEventIcon[iLevel].state2Icon != ""){
				oEventIcon.setState2Icon(m_arrEventIcon[iLevel].state2Icon);
			}
			if (m_arrEventIcon[iLevel].state3Icon != ""){
				oEventIcon.setState3Icon(m_arrEventIcon[iLevel].state3Icon);
			}
			oEventIcon.setBorderStyle(m_arrEventIcon[iLevel].borderStyle);
		}	
	
		if (m_arrCompletionIcon[iLevel] != null){
			oCompletionIcon = new CompletionIcon();
			oCompletionIcon.setNotStartedIcon(m_arrCompletionIcon[iLevel].notStartedIcon);
			oCompletionIcon.setStartedIcon(m_arrCompletionIcon[iLevel].startedIcon);
			oCompletionIcon.setCompletedIcon(m_arrCompletionIcon[iLevel].completedIcon);
			oCompletionIcon.setBorderStyle(m_arrCompletionIcon[iLevel].borderStyle);
		}	
		
		if (oNode.children.length>0){
			if (oFolderIcon != null){
				oTreeItem.setNodeIcon(oFolderIcon);
			}	
		}else{
			if (oEventIcon != null){
				oTreeItem.setNodeIcon(oEventIcon);
			}	
		}
		oTreeItem.setExpandIcon(oExpandIcon);
		oTreeItem.setCompletionIcon(oCompletionIcon);
		
		// Fix issue - GRM 
		if (oNode.TYPE != null){
	        if (oTreeItem.hasChildren() == false){
	            if (m_arrEvents[oNode.ID].VISITED == "true"){
	                oTreeItem.setCompletionStatus("c");
	            }else if (m_arrEvents[oNode.ID].VISITED == "false"){
	                oTreeItem.setCompletionStatus("n");
	            }    
            }		        
	    }
		//
		
		//set Border
		oTreeItem.setBorderStyle(m_arrTreeBorderStyle[iLevel]);
		
		//set width
		if (m_arrTreeItemLevelWidth[iLevel] != null){
			oTreeItem.setWidth(m_arrTreeItemLevelWidth[iLevel]);	
		}
		
		// setIndent
		if (m_arrNodeIndent[iLevel] != ""){
			oTreeItem.setIndent(m_arrNodeIndent[iLevel]);
		}	
						
		//set data
		oTreeItem.setData(oNode);
		
		//set item row order
		if (oCompletionIcon != null){
			oTreeItem.setCompletionIconOrder(m_arrCompletionIconOrder[iLevel]);
		}
		if (oExpandIcon != null){	
			oTreeItem.setExpandIconOrder(m_arrExpandIconOrder[iLevel]);
		}	
		if (oTreeItem.nodeIconObj != null){
			oTreeItem.setNodeIconOrder(m_arrNodeIconOrder[iLevel]);
		}
		if (oTreeItem.nodeItemObj != null){	
			oTreeItem.setNodeItemObjOrder(m_arrNodeItemObjOrder[iLevel]);
		}	
		
		
	}
	if (oNode.firstChild() != null){
		if (oNode.firstChild().TYPE != null){
			if (m_bHideEvents == true){
				oNode.COURSEMAPBEHAVIOR = "Hide Children";
			}	
		}
	}
	if (oNode.COURSEMAPBEHAVIOR == "Hide Me and Children" || oNode.COURSEMAPBEHAVIOR == "Hide Children"){  
	}else{
		for (var i=0;i<oNode.children.length;i++){
			if (bVisible == true){
				var oChild = recurseTreeBuild(oNode.children[i],oTreeItem,oTree);
				if (oChild != null){
					oTreeItem.appendChild(oChild);
				}
			}else{
				var oChild = recurseTreeBuild(oNode.children[i],oTreeParent,oTree);
				if (oChild != null){
					if (oTreeParent != null){
						oTreeParent.appendChild(oChild);
					}	
				}
			}	
				
		}	
	}	
	return oTreeItem;
}
// override function
function z101tree_Hilite(oNode){
}